Subject: [alpine-aports] [PATCH] testing/libtermkey: new aport

From: Marvin Steadfast <[email-masked]>
Date: Tue, 16 Feb 2016 11:56:46 +0000

http://www.leonerd.org.uk/code/libtermkey
Library for easy processing of keyboard entry from terminal-based programs
---
 testing/libtermkey/APKBUILD | 30 ++++++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)
 create mode 100644 testing/libtermkey/APKBUILD

diff --git a/testing/libtermkey/APKBUILD b/testing/libtermkey/APKBUILD
new file mode 100644
index 0000000..0f081ec
--- /dev/null
+++ b/testing/libtermkey/APKBUILD
@@ -0,0 +1,30 @@
+# Contributor: Marvin Steadfast <[email-masked]>
+# Maintainer: Marvin Steadfast <[email-masked]>
+pkgname=libtermkey
+pkgver=0.18
+pkgrel=0
+pkgdesc="Library for easy processing of keyboard entry from terminal-based programs"
+url="http://www.leonerd.org.uk/code/libtermkey"
+arch="all"
+license="MIT"
+depends="unibilium"
+depends_dev="libtool"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-doc $pkgname-dev"
+source="http://www.leonerd.org.uk/code/${pkgname}/${pkgname}-${pkgver}.tar.gz"
+
+_builddir="$srcdir"/"$pkgname"-"$pkgver"
+build() {
+	cd "$_builddir"
+	make PREFIX=/usr || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make PREFIX=/usr DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="3be2e3e5a851a49cc5e8567ac108b520  libtermkey-0.18.tar.gz"
+sha256sums="239746de41c845af52bb3c14055558f743292dd6c24ac26c2d6567a5a6093926  libtermkey-0.18.tar.gz"
+sha512sums="7507d7bf22ab075e932401b2194dcc69b40138955dc398c86327a072603df2a1010474fa9a1c75aa7cab936fa500e5e53118675b0ec6e9a85b66a1b6b7f5332e  libtermkey-0.18.tar.gz"
-- 
2.6.4

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---